﻿@{
    ViewBag.Title = "Menu Maintenance";
    Layout = "~/Views/Shared/_FixedLayout.cshtml";
}


<script type="text/javascript">

    $(document).ready(function () {

        $.ajax({
            url: '@Url.Action("GetGroupMenu", "MenuMaintenance")',
            type: 'GET',
            dataType: 'json',
            success: function (results) {
                $.each(results, function (i, result) {
                    $('#ddlGroupMenu').append('<option value="' + result.Value + '">' + result.Text + '</option>');
                });
            },
            error: function (ex) {
                $('#ddlGroupMenu').append('<option value="">No data found</option>');
            }
        });

        $.ajax({
            url: '@Url.Action("GetStatus", "MenuMaintenance")',
            type: 'GET',
            dataType: 'json',
            success: function (results) {
                $.each(results, function (i, result) {
                    $('#ddlStatus').append('<option value="' + result.Value + '">' + result.Text + '</option>');
                });
            },
            error: function (ex) {
                $('#ddlStatus').append('<option value="">No data found</option>');
            }
        });

        var GetDetail = '@Url.Action("GetMenuDetail", "MenuMaintenance", new { rowid = @ViewBag.RowId })';
        $.ajax(GetDetail, {
            contentType: 'application/json; charset=utf-8',
            dataType: 'json',
            type: 'POST',
            success: function (GetDetail) {
                if (GetDetail.success) {
                    document.getElementById("txtMenuName").value = GetDetail.menuname;
                    document.getElementById("ddlGroupMenu").value = GetDetail.parentid;
                    document.getElementById("ddlStatus").value = GetDetail.status;

                }
            },
            error: function () {

            }
        });


        $("#btnSave").click(function () {
            //validation
            if ($('#txtMenuName').val().length == 0) {
                bootbox.alert("<i class='fa fa-warning fa-2x'></i> Please fill mandatory field (<label class='required'></label>)", function () {
                    setTimeout(function () { }, 500);
                });
            } else {

                //confirmation
                bootbox.confirm({
                    title: "<i class='fa fa-warning fa-2x'></i> Save Confirmation",
                    message: 'Are you sure you want to save this data. <br>If not, click Cancel',
                    buttons: {
                        'cancel': {
                            label: '<i class="fa fa-times"></i> Cancel',
                            className: 'btn-default pull-left'
                        },
                        'confirm': {
                            label: '<i class="fa fa-check"></i> Yes, Continue save',
                            className: 'btn-primary pull-right'
                        }
                    },
                    callback: function (result) {
                        if (result) {
                            var MenuList = [
                                 {
                                     bpid: '@ViewBag.RowId'
                                     , menuname: $('#txtMenuName').val()
                                     , parentid: $('#ddlGroupMenu').val()
                                     , status: $('#ddlStatus').val()

                                 }
                            ];

                            MenuList.push();

                            var formData = new FormData();
                            formData.append("MenuList", JSON.stringify(MenuList));


                            //Save Process
                            $.ajax({
                                type: "POST",
                                url: '@Url.Action("SaveMenu", "MenuMaintenance")',
                                data: formData,
                                dataType: 'json',
                                contentType: false,
                                processData: false,
                                //beforeSend: function () {
                                //    //$("#loader").show();
                                //},
                                success: function (data) {
                                    bootbox.dialog({
                                        message: data.message,
                                        title: data.title,
                                        buttons: {
                                            main: {
                                                label: "<i class='fa fa-check'></i> Ok",
                                                className: "btn-primary",
                                                callback: function () {
                                                    if (result) {
                                                        if (data.status) {
                                                            window.location.href = '@Url.Action("Menu", "MenuMaintenance")';
                                                        }
                                                    }
                                                }
                                            }
                                        }
                                    });
                                }
                            });

                        }
                    }
                });
            }
        });

    });



</script>

<style>
    .label-def-margin {
        margin-top: 6px;
    }

    .required:after {
        content: "*";
        color: red;
    }
</style>


<div class="col-sm-12">
    <div class="panel panel-primary" style="margin-bottom: 0;">
        <div class="panel-heading">
            Edit Menu
        </div>
        <div class="panel-body">
            <!--Menu Name-->
            <div class="row">
                <div class="col-sm-2"><label class="required label-def-margin" for="txtMenuName">Menu Name</label></div>
                <div class="col-sm-5"><input class="form-control" type="text" id="txtMenuName" /></div>
            </div>
            <!--Group Name-->
            <div class="row">
                <div class="col-sm-2"><label class="required label-def-margin" for="ddlGroupMenu">Group Menu</label></div>
                <div class="col-sm-3"><select class="form-control" id="ddlGroupMenu"></select></div>
            </div>
            <!--Status-->
            <div class="row">
                <div class="col-sm-2"><label class="label-def-margin" for="ddlStatus">Status</label></div>
                <div class="col-sm-3"><select class="form-control" id="ddlStatus"></select></div>
            </div>
        </div>
        <div class="panel-footer">
            <div class="row">
                <div class="col-sm-12">
                    <button type="button" class="btn btn-primary" id="btnSave">
                        <span class="glyphicon glyphicon-floppy-disk"></span> Save
                    </button>
                    &nbsp;
                    <button type="button" class="btn btn-primary" onclick="@("window.location.href='" + @Url.Action("BackMenu", "MenuMaintenance") + "'");">
                        <span class="glyphicon glyphicon-circle-arrow-left"></span> Back
                    </button>
                </div>
            </div>
        </div>
    </div>

</div>
